Generate a random ChaCha20-Poly1305 (IETF) key.

- « sodium_crypto_aead_chacha20poly1305_ietf_encrypt

- sodium_crypto_aead_chacha20poly1305_keygen »

- PHP Manual
- Sodium Functions
- Generate a random ChaCha20-Poly1305 (IETF) key.

# sodium_crypto_aead_chacha20poly1305_ietf_keygen

(PHP 7 >= 7.2.0, PHP 8)

sodium_crypto_aead_chacha20poly1305_ietf_keygen — Generate a random ChaCha20-Poly1305 (IETF) key.

### Description

sodium_crypto_aead_chacha20poly1305_ietf_keygen(): string

Generate a random key for use with sodium_crypto_aead_chacha20poly1305_ietf_encrypt() and sodium_crypto_aead_chacha20poly1305_ietf_decrypt().

### Parameters

This function has no parameters.

### Return Values

Returns a 256-bit random key.